Main Page Class Hierarchy Compound List File List Compound Members

# TiXmlDocument Class Reference

Always the top level node. More...

`#include <tinyxml.h>`

Inheritance diagram for TiXmlDocument::

List of all members.

## Public Methods

| TiXmlDocument ()
| Create an empty document, that has no name.
| TiXmlDocument (const std::string &documentName)
| Create a document with a name. The name of the document is also the filename of the xml.
bool | LoadFile ()
| Load a file using the current document value. More...
bool | SaveFile ()
| Save a file using the current document value. Returns true if successful.
bool | LoadFile (const std::string &filename)
| Load a file using the given filename. Returns true if successful.
bool | SaveFile (const std::string &filename)
| Save a file using the given filename. Returns true if successful.
const char * | Parse (const char *)
| Parse the given null terminated block of xml data.
bool | Error ()
| If, during parsing, a error occurs, Error will be set to true.
const std::string & | ErrorDesc ()
| Contains a textual (english) description of the error if one occurs.
virtual void | Print (FILE *fp, int depth=0)
| Write the document to a file -- usually invoked by SaveFile.
void | Print ()
| Dump the document to standard out.

## Detailed Description

Always the top level node.

A document binds together all the XML pieces. It can be saved, loaded, and printed to the screen. The 'value' of a document node is the xml file name.

## Member Function Documentation

bool TiXmlDocument::LoadFile | ( |  | ) |

| Load a file using the current document value. Returns true if successful. Will delete any existing document data before loading.

The documentation for this class was generated from the following file:

- tinyxml.h